scala.collection.jcl
trait SetWrapper

[source: `scala/collection/jcl/SetWrapper.scala`]

`` `trait` SetWrapper[A]
  `extends` Set[A]`with` CollectionWrapper[A]

  Used to wrap Java sets.

Author
  Sean McDirmid

Direct Known Subclasses:
  HashSet, LinkedHashSet, MapWrapper.KeySet, SortedMapWrapper.KeySet, SortedSetWrapper

Method Summary
`override def` | clear : Unit Removes all elements from the set. After this operation is completed, the set will be empty.
`override def` | isEmpty : Boolean Checks if this set is empty.
`override def` | size : Int Returns the number of elements in this set.
`protected abstract def` | underlying : Set Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Methods inherited from CollectionWrapper
underlying0, has, elements, hasAll, add, addAll, toString, hashCode, equals

Methods inherited from IterableWrapper
remove, removeAll, retainAll

Methods inherited from Set
++, --, +, -, retain, contains, subsetOf, transform, projection

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
apply, toArray

Methods inherited from Function1
compose, andThen

Methods inherited from Collection
-=, +=

Methods inherited from MutableIterable
size0

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`protected abstract` `def` underlying : Set

  Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Overrides
  CollectionWrapper.underlying

`override` `def` isEmpty : Boolean

  Checks if this set is empty.

Returns
  `true` iff there is no element in the set.

Overrides
  Set.isEmpty

`override` `def` clear : Unit

  Removes all elements from the set. After this operation is completed, the set will be empty.

Overrides
  Set.clear

`override` `def` size : Int

  Returns the number of elements in this set.

Returns
  number of set elements.